"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
const path_1 = require("path");
const deno_lambda_1 = require("./deno-lambda");
const build_utils_1 = require("@vercel/build-utils");
const build = async ({ workPath, files, entrypoint, meta = {}, config = {}, }) => {
    await (0, build_utils_1.download)(files, workPath, meta);
    const { includeFiles } = config;
    const { devCacheDir = (0, path_1.join)(workPath, '.vercel', 'cache') } = meta;
    const output = await deno_lambda_1.DenoLambda.build({
        entrypoint,
        cwd: workPath,
        includeFiles: typeof includeFiles === 'string' ? [includeFiles] : includeFiles,
        cacheDir: devCacheDir,
    });
    return { output };
};
exports.build = build;
//# sourceMappingURL=build.js.map